<?php
/*********************************************************      
 程序说明：         
    功能说明：
              
    调用关系：调用: header.inc     
              被调用:        
 
    变量说明：

    作者：      
      
修改注释：      
NO.1      
姓名：谢华          
时间：2003-04-09 
修改说明：用于OMC_V65    
*********************************************************/
require("../../inc/header.inc");
$DEBUG=0;
$helpId = "3.1.3"; 
?>
<base target="main">
<body  leftmargin="15" rightmargin="10" onload="javascript:adjust_frame('up');" onresize="javascript:adjust_frame('up');" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;">
<form method="POST" action="monthlyReportDown.php" name="QueryForm" >
<?php
adjust_head_frame("up");
adjust_title_head_frame("up");
$today_date = date("Y-m-d");
echo "<table id=\"table_up\" border=\"0\" width=\"100%\">";
echo "<tr>";
echo "<td width=\"50%\">";
echo "$strTitlePerformance $strTitleSpace PPS report > Monthly report";
echo "</td>";
echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
showHelp($helpId);
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td align=\"left\">";

$thisYear	=date("Y",mktime(0,0,0,date("m"),date("d")-1,date("Y")));
$lastMonth	=date("m",mktime(0,0,0,date("m")-1,date("d"),date("Y")));         
$lastYear	=date("Y",mktime(0,0,0,date("m"),date("d")-1,date("Y")-1));
$lastLastYear	=date("Y",mktime(0,0,0,date("m"),date("d")-1,date("Y")-2));
if($DEBUG){
	echo "thisYear=$thisYear, lastMonth=$lastMonth, lastYear=$lastYear<br>";
}
/*
$year=date("Y")."-".date("m")."-".date("d");
if($DEBUG) echo "$year<br>";
*/
//--Year--
 echo "<select size=\"1\" name=\"query_year\">";              
 echo "<option  value=\"$thisYear\">$thisYear</option>";
 echo "<option  value=\"$lastYear\" >$lastYear</option>";       
 echo "<option  value=\"$lastLastYear\" >$lastLastYear</option>";       
 echo "</select>$strYear&nbsp&nbsp";
 
 //--Month--
 echo "<select size=\"1\" name=\"query_month\">";       
 for($i=1;$i<13;$i++){   
       $m=($i<10?"0":"").$i;       
       if($i!=$lastMonth){       
              echo "<option value=\"$m\">$m</option>";       
       }else{
              echo "<option value=\"$m\" selected>$m</option>";
       }       
 }       
 echo "</select>$strMonth&nbsp;&nbsp;";
?>

<span onClick="javascript:document.QueryForm.submit();" style="cursor:hand">
	<IMG align=absBottom border=0 src="../../images/search.gif" ><?php echo "$strSearch"; ?>
</span>
<?php	
echo "</td>";
echo "<td align=\"right\">&nbsp;";
echo "</td>";
echo "</tr>";
echo "</table>";
echo "</form>";
adjust_title_tail_frame("up");
adjust_content_head_frame("up");
adjust_content_tail_frame("up");
?>
   
</body>
</html>
